import {StyleSheet} from 'react-native';
import {colors} from '../constants';

export default StyleSheet.create({
  container: {flex: 1, padding: 16, backgroundColor: colors.white},
  scrollContainer: {
    flex: 1,
    borderLeftWidth: 3,
    borderTopWidth: 3,
    borderRightWidth: 5,
    borderBottomWidth: 5,
    padding: 16,
    borderRadius: 16,
  },
  header: {
    flexDirection: 'row',
    justifyContent: 'space-between',
    alignItems: 'center',
  },
  date: {fontWeight: 'bold', marginVertical: 16},
  createEvent: {
    padding: 8,
    borderTopWidth: 1,
    borderLeftWidth: 1,
    borderRightWidth: 3,
    borderBottomWidth: 3,
    borderRadius: 5,
  },
  addEvents: {fontWeight: 'bold'},
  eventRow: {
    flexDirection: 'row',
    padding: 8,
    paddingLeft: 0,
    borderBottomWidth: 1,
  },
  modalContainer: {
    flex: 1,
    backgroundColor: colors.overlay,
    justifyContent: 'center',
    alignItems: 'center',
  },
  formContainer: {
    width: '80%',
    backgroundColor: colors.white,
    borderRadius: 8,
    padding: 16,
  },
  formTitle: {fontWeight: 'bold', fontSize: 18},
  submitButton: {
    padding: 8,
    borderTopWidth: 1,
    borderLeftWidth: 1,
    borderRightWidth: 3,
    borderBottomWidth: 3,
    borderRadius: 5,
    width: 80,
    margin: 16,
    marginBottom: 0,
    justifyContent: 'center',
    alignItems: 'center',
  },
  textInput: {
    borderBottomColor: colors.grey,
    borderBottomWidth: 1,
    height: 40,
  },
  loading: {
    flex: 1,
    height: 60,
    alignItems: 'center',
    justifyContent: 'center',
  },
  listEmpty: {
    flex: 1,
    height: 100,
    justifyContent: 'center',
    alignItems: 'center',
  },
  close: {
    flexDirection: 'row',
    justifyContent: 'space-between',
    alignItems: 'center',
  },
  bar: {width: 8, backgroundColor: '#0066ff', marginRight: 8},
  rightContainer: {flex: 1, justifyContent: 'space-between'},
  time: {opacity: 0.6, fontSize: 12, marginVertical: 2},
  name: {fontSize: 16, fontWeight: 'bold', marginVertical: 2},
  event: {fontWeight: 'bold', marginVertical: 2},
});
